Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network129.232.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
129.232.0.0
Broadcast address
129.235.255.255
First usable
129.232.0.1
Last usable
129.235.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
B (default /16)
As numbers
Hex 81E80000 · Integer 2179465216 to 2179727359
Reverse DNS zones
232.129.in-addr.arpa
233.129.in-addr.arpa
234.129.in-addr.arpa
235.129.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000001.11101000.00000000.00000000129.232.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network10000001.11101000.00000000.00000000129.232.0.0
Broadcast10000001.11101011.11111111.11111111129.235.255.255
Split into smaller subnets/22

129.232.0.0/14 makes 256 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1129.232.0.0/22129.232.0.1 to 129.232.3.254129.232.3.2551,022
2129.232.4.0/22129.232.4.1 to 129.232.7.254129.232.7.2551,022
3129.232.8.0/22129.232.8.1 to 129.232.11.254129.232.11.2551,022
4129.232.12.0/22129.232.12.1 to 129.232.15.254129.232.15.2551,022
5129.232.16.0/22129.232.16.1 to 129.232.19.254129.232.19.2551,022
6129.232.20.0/22129.232.20.1 to 129.232.23.254129.232.23.2551,022
7129.232.24.0/22129.232.24.1 to 129.232.27.254129.232.27.2551,022
8129.232.28.0/22129.232.28.1 to 129.232.31.254129.232.31.2551,022
9129.232.32.0/22129.232.32.1 to 129.232.35.254129.232.35.2551,022
10129.232.36.0/22129.232.36.1 to 129.232.39.254129.232.39.2551,022
11129.232.40.0/22129.232.40.1 to 129.232.43.254129.232.43.2551,022
12129.232.44.0/22129.232.44.1 to 129.232.47.254129.232.47.2551,022
13129.232.48.0/22129.232.48.1 to 129.232.51.254129.232.51.2551,022
14129.232.52.0/22129.232.52.1 to 129.232.55.254129.232.55.2551,022
15129.232.56.0/22129.232.56.1 to 129.232.59.254129.232.59.2551,022
16129.232.60.0/22129.232.60.1 to 129.232.63.254129.232.63.2551,022
17129.232.64.0/22129.232.64.1 to 129.232.67.254129.232.67.2551,022
18129.232.68.0/22129.232.68.1 to 129.232.71.254129.232.71.2551,022
19129.232.72.0/22129.232.72.1 to 129.232.75.254129.232.75.2551,022
20129.232.76.0/22129.232.76.1 to 129.232.79.254129.232.79.2551,022
21129.232.80.0/22129.232.80.1 to 129.232.83.254129.232.83.2551,022
22129.232.84.0/22129.232.84.1 to 129.232.87.254129.232.87.2551,022
23129.232.88.0/22129.232.88.1 to 129.232.91.254129.232.91.2551,022
24129.232.92.0/22129.232.92.1 to 129.232.95.254129.232.95.2551,022
25129.232.96.0/22129.232.96.1 to 129.232.99.254129.232.99.2551,022
26129.232.100.0/22129.232.100.1 to 129.232.103.254129.232.103.2551,022
27129.232.104.0/22129.232.104.1 to 129.232.107.254129.232.107.2551,022
28129.232.108.0/22129.232.108.1 to 129.232.111.254129.232.111.2551,022
29129.232.112.0/22129.232.112.1 to 129.232.115.254129.232.115.2551,022
30129.232.116.0/22129.232.116.1 to 129.232.119.254129.232.119.2551,022
31129.232.120.0/22129.232.120.1 to 129.232.123.254129.232.123.2551,022
32129.232.124.0/22129.232.124.1 to 129.232.127.254129.232.127.2551,022
33129.232.128.0/22129.232.128.1 to 129.232.131.254129.232.131.2551,022
34129.232.132.0/22129.232.132.1 to 129.232.135.254129.232.135.2551,022
35129.232.136.0/22129.232.136.1 to 129.232.139.254129.232.139.2551,022
36129.232.140.0/22129.232.140.1 to 129.232.143.254129.232.143.2551,022
37129.232.144.0/22129.232.144.1 to 129.232.147.254129.232.147.2551,022
38129.232.148.0/22129.232.148.1 to 129.232.151.254129.232.151.2551,022
39129.232.152.0/22129.232.152.1 to 129.232.155.254129.232.155.2551,022
40129.232.156.0/22129.232.156.1 to 129.232.159.254129.232.159.2551,022
41129.232.160.0/22129.232.160.1 to 129.232.163.254129.232.163.2551,022
42129.232.164.0/22129.232.164.1 to 129.232.167.254129.232.167.2551,022
43129.232.168.0/22129.232.168.1 to 129.232.171.254129.232.171.2551,022
44129.232.172.0/22129.232.172.1 to 129.232.175.254129.232.175.2551,022
45129.232.176.0/22129.232.176.1 to 129.232.179.254129.232.179.2551,022
46129.232.180.0/22129.232.180.1 to 129.232.183.254129.232.183.2551,022
47129.232.184.0/22129.232.184.1 to 129.232.187.254129.232.187.2551,022
48129.232.188.0/22129.232.188.1 to 129.232.191.254129.232.191.2551,022
49129.232.192.0/22129.232.192.1 to 129.232.195.254129.232.195.2551,022
50129.232.196.0/22129.232.196.1 to 129.232.199.254129.232.199.2551,022
51129.232.200.0/22129.232.200.1 to 129.232.203.254129.232.203.2551,022
52129.232.204.0/22129.232.204.1 to 129.232.207.254129.232.207.2551,022
53129.232.208.0/22129.232.208.1 to 129.232.211.254129.232.211.2551,022
54129.232.212.0/22129.232.212.1 to 129.232.215.254129.232.215.2551,022
55129.232.216.0/22129.232.216.1 to 129.232.219.254129.232.219.2551,022
56129.232.220.0/22129.232.220.1 to 129.232.223.254129.232.223.2551,022
57129.232.224.0/22129.232.224.1 to 129.232.227.254129.232.227.2551,022
58129.232.228.0/22129.232.228.1 to 129.232.231.254129.232.231.2551,022
59129.232.232.0/22129.232.232.1 to 129.232.235.254129.232.235.2551,022
60129.232.236.0/22129.232.236.1 to 129.232.239.254129.232.239.2551,022
61129.232.240.0/22129.232.240.1 to 129.232.243.254129.232.243.2551,022
62129.232.244.0/22129.232.244.1 to 129.232.247.254129.232.247.2551,022
63129.232.248.0/22129.232.248.1 to 129.232.251.254129.232.251.2551,022
64129.232.252.0/22129.232.252.1 to 129.232.255.254129.232.255.2551,022
65129.233.0.0/22129.233.0.1 to 129.233.3.254129.233.3.2551,022
66129.233.4.0/22129.233.4.1 to 129.233.7.254129.233.7.2551,022
67129.233.8.0/22129.233.8.1 to 129.233.11.254129.233.11.2551,022
68129.233.12.0/22129.233.12.1 to 129.233.15.254129.233.15.2551,022
69129.233.16.0/22129.233.16.1 to 129.233.19.254129.233.19.2551,022
70129.233.20.0/22129.233.20.1 to 129.233.23.254129.233.23.2551,022
71129.233.24.0/22129.233.24.1 to 129.233.27.254129.233.27.2551,022
72129.233.28.0/22129.233.28.1 to 129.233.31.254129.233.31.2551,022
73129.233.32.0/22129.233.32.1 to 129.233.35.254129.233.35.2551,022
74129.233.36.0/22129.233.36.1 to 129.233.39.254129.233.39.2551,022
75129.233.40.0/22129.233.40.1 to 129.233.43.254129.233.43.2551,022
76129.233.44.0/22129.233.44.1 to 129.233.47.254129.233.47.2551,022
77129.233.48.0/22129.233.48.1 to 129.233.51.254129.233.51.2551,022
78129.233.52.0/22129.233.52.1 to 129.233.55.254129.233.55.2551,022
79129.233.56.0/22129.233.56.1 to 129.233.59.254129.233.59.2551,022
80129.233.60.0/22129.233.60.1 to 129.233.63.254129.233.63.2551,022
81129.233.64.0/22129.233.64.1 to 129.233.67.254129.233.67.2551,022
82129.233.68.0/22129.233.68.1 to 129.233.71.254129.233.71.2551,022
83129.233.72.0/22129.233.72.1 to 129.233.75.254129.233.75.2551,022
84129.233.76.0/22129.233.76.1 to 129.233.79.254129.233.79.2551,022
85129.233.80.0/22129.233.80.1 to 129.233.83.254129.233.83.2551,022
86129.233.84.0/22129.233.84.1 to 129.233.87.254129.233.87.2551,022
87129.233.88.0/22129.233.88.1 to 129.233.91.254129.233.91.2551,022
88129.233.92.0/22129.233.92.1 to 129.233.95.254129.233.95.2551,022
89129.233.96.0/22129.233.96.1 to 129.233.99.254129.233.99.2551,022
90129.233.100.0/22129.233.100.1 to 129.233.103.254129.233.103.2551,022
91129.233.104.0/22129.233.104.1 to 129.233.107.254129.233.107.2551,022
92129.233.108.0/22129.233.108.1 to 129.233.111.254129.233.111.2551,022
93129.233.112.0/22129.233.112.1 to 129.233.115.254129.233.115.2551,022
94129.233.116.0/22129.233.116.1 to 129.233.119.254129.233.119.2551,022
95129.233.120.0/22129.233.120.1 to 129.233.123.254129.233.123.2551,022
96129.233.124.0/22129.233.124.1 to 129.233.127.254129.233.127.2551,022
97129.233.128.0/22129.233.128.1 to 129.233.131.254129.233.131.2551,022
98129.233.132.0/22129.233.132.1 to 129.233.135.254129.233.135.2551,022
99129.233.136.0/22129.233.136.1 to 129.233.139.254129.233.139.2551,022
100129.233.140.0/22129.233.140.1 to 129.233.143.254129.233.143.2551,022
101129.233.144.0/22129.233.144.1 to 129.233.147.254129.233.147.2551,022
102129.233.148.0/22129.233.148.1 to 129.233.151.254129.233.151.2551,022
103129.233.152.0/22129.233.152.1 to 129.233.155.254129.233.155.2551,022
104129.233.156.0/22129.233.156.1 to 129.233.159.254129.233.159.2551,022
105129.233.160.0/22129.233.160.1 to 129.233.163.254129.233.163.2551,022
106129.233.164.0/22129.233.164.1 to 129.233.167.254129.233.167.2551,022
107129.233.168.0/22129.233.168.1 to 129.233.171.254129.233.171.2551,022
108129.233.172.0/22129.233.172.1 to 129.233.175.254129.233.175.2551,022
109129.233.176.0/22129.233.176.1 to 129.233.179.254129.233.179.2551,022
110129.233.180.0/22129.233.180.1 to 129.233.183.254129.233.183.2551,022
111129.233.184.0/22129.233.184.1 to 129.233.187.254129.233.187.2551,022
112129.233.188.0/22129.233.188.1 to 129.233.191.254129.233.191.2551,022
113129.233.192.0/22129.233.192.1 to 129.233.195.254129.233.195.2551,022
114129.233.196.0/22129.233.196.1 to 129.233.199.254129.233.199.2551,022
115129.233.200.0/22129.233.200.1 to 129.233.203.254129.233.203.2551,022
116129.233.204.0/22129.233.204.1 to 129.233.207.254129.233.207.2551,022
117129.233.208.0/22129.233.208.1 to 129.233.211.254129.233.211.2551,022
118129.233.212.0/22129.233.212.1 to 129.233.215.254129.233.215.2551,022
119129.233.216.0/22129.233.216.1 to 129.233.219.254129.233.219.2551,022
120129.233.220.0/22129.233.220.1 to 129.233.223.254129.233.223.2551,022
121129.233.224.0/22129.233.224.1 to 129.233.227.254129.233.227.2551,022
122129.233.228.0/22129.233.228.1 to 129.233.231.254129.233.231.2551,022
123129.233.232.0/22129.233.232.1 to 129.233.235.254129.233.235.2551,022
124129.233.236.0/22129.233.236.1 to 129.233.239.254129.233.239.2551,022
125129.233.240.0/22129.233.240.1 to 129.233.243.254129.233.243.2551,022
126129.233.244.0/22129.233.244.1 to 129.233.247.254129.233.247.2551,022
127129.233.248.0/22129.233.248.1 to 129.233.251.254129.233.251.2551,022
128129.233.252.0/22129.233.252.1 to 129.233.255.254129.233.255.2551,022
129129.234.0.0/22129.234.0.1 to 129.234.3.254129.234.3.2551,022
130129.234.4.0/22129.234.4.1 to 129.234.7.254129.234.7.2551,022
131129.234.8.0/22129.234.8.1 to 129.234.11.254129.234.11.2551,022
132129.234.12.0/22129.234.12.1 to 129.234.15.254129.234.15.2551,022
133129.234.16.0/22129.234.16.1 to 129.234.19.254129.234.19.2551,022
134129.234.20.0/22129.234.20.1 to 129.234.23.254129.234.23.2551,022
135129.234.24.0/22129.234.24.1 to 129.234.27.254129.234.27.2551,022
136129.234.28.0/22129.234.28.1 to 129.234.31.254129.234.31.2551,022
137129.234.32.0/22129.234.32.1 to 129.234.35.254129.234.35.2551,022
138129.234.36.0/22129.234.36.1 to 129.234.39.254129.234.39.2551,022
139129.234.40.0/22129.234.40.1 to 129.234.43.254129.234.43.2551,022
140129.234.44.0/22129.234.44.1 to 129.234.47.254129.234.47.2551,022
141129.234.48.0/22129.234.48.1 to 129.234.51.254129.234.51.2551,022
142129.234.52.0/22129.234.52.1 to 129.234.55.254129.234.55.2551,022
143129.234.56.0/22129.234.56.1 to 129.234.59.254129.234.59.2551,022
144129.234.60.0/22129.234.60.1 to 129.234.63.254129.234.63.2551,022
145129.234.64.0/22129.234.64.1 to 129.234.67.254129.234.67.2551,022
146129.234.68.0/22129.234.68.1 to 129.234.71.254129.234.71.2551,022
147129.234.72.0/22129.234.72.1 to 129.234.75.254129.234.75.2551,022
148129.234.76.0/22129.234.76.1 to 129.234.79.254129.234.79.2551,022
149129.234.80.0/22129.234.80.1 to 129.234.83.254129.234.83.2551,022
150129.234.84.0/22129.234.84.1 to 129.234.87.254129.234.87.2551,022
151129.234.88.0/22129.234.88.1 to 129.234.91.254129.234.91.2551,022
152129.234.92.0/22129.234.92.1 to 129.234.95.254129.234.95.2551,022
153129.234.96.0/22129.234.96.1 to 129.234.99.254129.234.99.2551,022
154129.234.100.0/22129.234.100.1 to 129.234.103.254129.234.103.2551,022
155129.234.104.0/22129.234.104.1 to 129.234.107.254129.234.107.2551,022
156129.234.108.0/22129.234.108.1 to 129.234.111.254129.234.111.2551,022
157129.234.112.0/22129.234.112.1 to 129.234.115.254129.234.115.2551,022
158129.234.116.0/22129.234.116.1 to 129.234.119.254129.234.119.2551,022
159129.234.120.0/22129.234.120.1 to 129.234.123.254129.234.123.2551,022
160129.234.124.0/22129.234.124.1 to 129.234.127.254129.234.127.2551,022
161129.234.128.0/22129.234.128.1 to 129.234.131.254129.234.131.2551,022
162129.234.132.0/22129.234.132.1 to 129.234.135.254129.234.135.2551,022
163129.234.136.0/22129.234.136.1 to 129.234.139.254129.234.139.2551,022
164129.234.140.0/22129.234.140.1 to 129.234.143.254129.234.143.2551,022
165129.234.144.0/22129.234.144.1 to 129.234.147.254129.234.147.2551,022
166129.234.148.0/22129.234.148.1 to 129.234.151.254129.234.151.2551,022
167129.234.152.0/22129.234.152.1 to 129.234.155.254129.234.155.2551,022
168129.234.156.0/22129.234.156.1 to 129.234.159.254129.234.159.2551,022
169129.234.160.0/22129.234.160.1 to 129.234.163.254129.234.163.2551,022
170129.234.164.0/22129.234.164.1 to 129.234.167.254129.234.167.2551,022
171129.234.168.0/22129.234.168.1 to 129.234.171.254129.234.171.2551,022
172129.234.172.0/22129.234.172.1 to 129.234.175.254129.234.175.2551,022
173129.234.176.0/22129.234.176.1 to 129.234.179.254129.234.179.2551,022
174129.234.180.0/22129.234.180.1 to 129.234.183.254129.234.183.2551,022
175129.234.184.0/22129.234.184.1 to 129.234.187.254129.234.187.2551,022
176129.234.188.0/22129.234.188.1 to 129.234.191.254129.234.191.2551,022
177129.234.192.0/22129.234.192.1 to 129.234.195.254129.234.195.2551,022
178129.234.196.0/22129.234.196.1 to 129.234.199.254129.234.199.2551,022
179129.234.200.0/22129.234.200.1 to 129.234.203.254129.234.203.2551,022
180129.234.204.0/22129.234.204.1 to 129.234.207.254129.234.207.2551,022
181129.234.208.0/22129.234.208.1 to 129.234.211.254129.234.211.2551,022
182129.234.212.0/22129.234.212.1 to 129.234.215.254129.234.215.2551,022
183129.234.216.0/22129.234.216.1 to 129.234.219.254129.234.219.2551,022
184129.234.220.0/22129.234.220.1 to 129.234.223.254129.234.223.2551,022
185129.234.224.0/22129.234.224.1 to 129.234.227.254129.234.227.2551,022
186129.234.228.0/22129.234.228.1 to 129.234.231.254129.234.231.2551,022
187129.234.232.0/22129.234.232.1 to 129.234.235.254129.234.235.2551,022
188129.234.236.0/22129.234.236.1 to 129.234.239.254129.234.239.2551,022
189129.234.240.0/22129.234.240.1 to 129.234.243.254129.234.243.2551,022
190129.234.244.0/22129.234.244.1 to 129.234.247.254129.234.247.2551,022
191129.234.248.0/22129.234.248.1 to 129.234.251.254129.234.251.2551,022
192129.234.252.0/22129.234.252.1 to 129.234.255.254129.234.255.2551,022
193129.235.0.0/22129.235.0.1 to 129.235.3.254129.235.3.2551,022
194129.235.4.0/22129.235.4.1 to 129.235.7.254129.235.7.2551,022
195129.235.8.0/22129.235.8.1 to 129.235.11.254129.235.11.2551,022
196129.235.12.0/22129.235.12.1 to 129.235.15.254129.235.15.2551,022
197129.235.16.0/22129.235.16.1 to 129.235.19.254129.235.19.2551,022
198129.235.20.0/22129.235.20.1 to 129.235.23.254129.235.23.2551,022
199129.235.24.0/22129.235.24.1 to 129.235.27.254129.235.27.2551,022
200129.235.28.0/22129.235.28.1 to 129.235.31.254129.235.31.2551,022
201129.235.32.0/22129.235.32.1 to 129.235.35.254129.235.35.2551,022
202129.235.36.0/22129.235.36.1 to 129.235.39.254129.235.39.2551,022
203129.235.40.0/22129.235.40.1 to 129.235.43.254129.235.43.2551,022
204129.235.44.0/22129.235.44.1 to 129.235.47.254129.235.47.2551,022
205129.235.48.0/22129.235.48.1 to 129.235.51.254129.235.51.2551,022
206129.235.52.0/22129.235.52.1 to 129.235.55.254129.235.55.2551,022
207129.235.56.0/22129.235.56.1 to 129.235.59.254129.235.59.2551,022
208129.235.60.0/22129.235.60.1 to 129.235.63.254129.235.63.2551,022
209129.235.64.0/22129.235.64.1 to 129.235.67.254129.235.67.2551,022
210129.235.68.0/22129.235.68.1 to 129.235.71.254129.235.71.2551,022
211129.235.72.0/22129.235.72.1 to 129.235.75.254129.235.75.2551,022
212129.235.76.0/22129.235.76.1 to 129.235.79.254129.235.79.2551,022
213129.235.80.0/22129.235.80.1 to 129.235.83.254129.235.83.2551,022
214129.235.84.0/22129.235.84.1 to 129.235.87.254129.235.87.2551,022
215129.235.88.0/22129.235.88.1 to 129.235.91.254129.235.91.2551,022
216129.235.92.0/22129.235.92.1 to 129.235.95.254129.235.95.2551,022
217129.235.96.0/22129.235.96.1 to 129.235.99.254129.235.99.2551,022
218129.235.100.0/22129.235.100.1 to 129.235.103.254129.235.103.2551,022
219129.235.104.0/22129.235.104.1 to 129.235.107.254129.235.107.2551,022
220129.235.108.0/22129.235.108.1 to 129.235.111.254129.235.111.2551,022
221129.235.112.0/22129.235.112.1 to 129.235.115.254129.235.115.2551,022
222129.235.116.0/22129.235.116.1 to 129.235.119.254129.235.119.2551,022
223129.235.120.0/22129.235.120.1 to 129.235.123.254129.235.123.2551,022
224129.235.124.0/22129.235.124.1 to 129.235.127.254129.235.127.2551,022
225129.235.128.0/22129.235.128.1 to 129.235.131.254129.235.131.2551,022
226129.235.132.0/22129.235.132.1 to 129.235.135.254129.235.135.2551,022
227129.235.136.0/22129.235.136.1 to 129.235.139.254129.235.139.2551,022
228129.235.140.0/22129.235.140.1 to 129.235.143.254129.235.143.2551,022
229129.235.144.0/22129.235.144.1 to 129.235.147.254129.235.147.2551,022
230129.235.148.0/22129.235.148.1 to 129.235.151.254129.235.151.2551,022
231129.235.152.0/22129.235.152.1 to 129.235.155.254129.235.155.2551,022
232129.235.156.0/22129.235.156.1 to 129.235.159.254129.235.159.2551,022
233129.235.160.0/22129.235.160.1 to 129.235.163.254129.235.163.2551,022
234129.235.164.0/22129.235.164.1 to 129.235.167.254129.235.167.2551,022
235129.235.168.0/22129.235.168.1 to 129.235.171.254129.235.171.2551,022
236129.235.172.0/22129.235.172.1 to 129.235.175.254129.235.175.2551,022
237129.235.176.0/22129.235.176.1 to 129.235.179.254129.235.179.2551,022
238129.235.180.0/22129.235.180.1 to 129.235.183.254129.235.183.2551,022
239129.235.184.0/22129.235.184.1 to 129.235.187.254129.235.187.2551,022
240129.235.188.0/22129.235.188.1 to 129.235.191.254129.235.191.2551,022
241129.235.192.0/22129.235.192.1 to 129.235.195.254129.235.195.2551,022
242129.235.196.0/22129.235.196.1 to 129.235.199.254129.235.199.2551,022
243129.235.200.0/22129.235.200.1 to 129.235.203.254129.235.203.2551,022
244129.235.204.0/22129.235.204.1 to 129.235.207.254129.235.207.2551,022
245129.235.208.0/22129.235.208.1 to 129.235.211.254129.235.211.2551,022
246129.235.212.0/22129.235.212.1 to 129.235.215.254129.235.215.2551,022
247129.235.216.0/22129.235.216.1 to 129.235.219.254129.235.219.2551,022
248129.235.220.0/22129.235.220.1 to 129.235.223.254129.235.223.2551,022
249129.235.224.0/22129.235.224.1 to 129.235.227.254129.235.227.2551,022
250129.235.228.0/22129.235.228.1 to 129.235.231.254129.235.231.2551,022
251129.235.232.0/22129.235.232.1 to 129.235.235.254129.235.235.2551,022
252129.235.236.0/22129.235.236.1 to 129.235.239.254129.235.239.2551,022
253129.235.240.0/22129.235.240.1 to 129.235.243.254129.235.243.2551,022
254129.235.244.0/22129.235.244.1 to 129.235.247.254129.235.247.2551,022
255129.235.248.0/22129.235.248.1 to 129.235.251.254129.235.251.2551,022
256129.235.252.0/22129.235.252.1 to 129.235.255.254129.235.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses